aboutsummaryrefslogtreecommitdiff
path: root/.local/bin/statusbar/sb-disk
diff options
context:
space:
mode:
authorawy <awy@awy.one>2024-11-30 16:55:21 +0300
committerawy <awy@awy.one>2024-11-30 16:55:21 +0300
commitb893bee74dcbdc1e11daa98da39c49e6afecc9e6 (patch)
treecbf711641dac69e5879f165495231f948c0d63d2 /.local/bin/statusbar/sb-disk
parent18497419838d63c09fa86ed2217b94b7a2b2b32a (diff)
small fixes + sb-disk module
Diffstat (limited to '.local/bin/statusbar/sb-disk')
-rwxr-xr-x.local/bin/statusbar/sb-disk17
1 files changed, 17 insertions, 0 deletions
diff --git a/.local/bin/statusbar/sb-disk b/.local/bin/statusbar/sb-disk
new file mode 100755
index 0000000..efc1f5e
--- /dev/null
+++ b/.local/bin/statusbar/sb-disk
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Status bar module for disk space
+# $1 should be drive mountpoint, otherwise assumed /.
+
+location=${1:-/}
+
+[ -d "$location" ] || exit
+
+case $BLOCK_BUTTON in
+ 1) notify-send " Disk space" "$(df -h --output=target,used,size)" ;;
+ 3) notify-send " Disk module" "\- Shows used hard drive space.
+- Click to show all disk info." ;;
+ 8) setsid -f "$TERMINAL" -e "$EDITOR" "$0" ;;
+esac
+
+printf "%s: %s\n" "root" "$(df -h "$location" | awk ' /[0-9]/ {print $3 "/" $2}')"